## RygelLogHandler

RygelLogHandler

## Functions

RygelLogHandler * | rygel_log_handler_get_default ()

## Types and Values

#define | RYGEL_TYPE_LOG_HANDLER
struct | RygelLogHandler
struct | RygelLogHandlerClass
enum | RygelLogLevel

## Object Hierarchy

        GEnum
        ╰── RygelLogLevel
        GObject
        ╰── RygelLogHandler

## Description

## Functions

### rygel_log_handler_get_default ()

    RygelLogHandler *
    rygel_log_handler_get_default (void);

## Types and Values

### RYGEL_TYPE_LOG_HANDLER

    #define RYGEL_TYPE_LOG_HANDLER (rygel_log_handler_get_type ())

The type for RygelLogHandler.

### struct RygelLogHandler

    struct RygelLogHandler;

### struct RygelLogHandlerClass

    struct RygelLogHandlerClass {
    	GObjectClass parent_class;
    };

The class structure for `RYGEL_TYPE_LOG_HANDLER`. All the fields in this structure are private and should never be accessed directly.

#### Members

### enum RygelLogLevel

#### Members

RYGEL_LOG_LEVEL_INVALID |  |
RYGEL_LOG_LEVEL_ERROR |  |
RYGEL_LOG_LEVEL_CRITICAL |  |
RYGEL_LOG_LEVEL_WARNING |  |
RYGEL_LOG_LEVEL_INFO |  |
RYGEL_LOG_LEVEL_DEFAULT |  |
RYGEL_LOG_LEVEL_DEBUG |  |